import request from '@/utils/request'

export function getSchoolList(query) {
    return request({
      url: '/train/schoolList',
      method: 'get',
      params: query,
      // headers: {
      //   isToken: false
      // },
    })
}

export function addSchool(data) {
    return request({
      url: '/train/school/add',
      method: 'post',
      data,

    })
}
export function updateSchool(data) {
    return request({
      url: '/train/school/update',
      method: 'post',
      data,
      
 
    })
}

export function delSchool(id) {
    return request({
      url: `/train/school/del/?schoolId=${id}`,
      method: 'delete',

    })
}


export function getSignUpList(query) {
    return request({
      url: `/train/trainClassList`,
      method: 'get',
      params: query,

    })
}
export function addSignUp(data) {
    return request({
      url: '/train/trainClass/add',
      method: 'post',
      data,

    })
}
export function updateSignUp(data) {
    return request({
      url: '/train/trainClass/update',
      method: 'post',
      data,


    })
}

export function delSignUp(id) {
    return request({
      url: `/train/trainClass/del?trainClassId=${id}`,
      method: 'delete',

    })
}

// 查询已报名列表
export function searchNum(id, query) {
    return request({
      url: `/train/trainStudentList?trainClassId=${id}`,
      method: 'get',
      params: query,
      
    })
}